INT 21h

Hi, I am Vladimir Smagin, sysadmin. Telegram Email GPG

Ansible: если вдруг Python 2 не установлен, но есть Python 3

№ 9361 В разделе "Администрирование" от September 4th, 2018,

На днях Ansible у меня потребовал установленный на целевой машине Python 2 и отказался работать. Как выяснилось, в LXC контейнерах с установленным внутри xenial установлен только Python 3, но и с ним не все так хорошо, т.к. многие модули с ним просто не работают. По ссылке репозиторий с примером nginx+php-fpm7.1, который я хотел применить к моему свеже установленному LXC контейнеру, но в результате отказа мне пришлось его доработать. Первым делом я отключил сбор фактов и установил ansible_python_interpreter: /usr/bin/python3. Далее я создал роль preinstall в которой установил через apt все необходимые для минимальной работы программы и библиотеки. После этого я переопределил переменную ansible_python_interpreter на python 2 и снова начал собирать факты. Да, это геморрой, но другого решения не нашел.

http://git.blindage.org/21h/ansible-library

Нет комментариев »

Leave a Reply

Your email address will not be published. Required fields are marked *

*


© Vladimir Smagin, 2005-2018. Копирование материалов без разрешения запрещено. GPG 0x29AE91B1A37721C3
Яндекс.Метрика